Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.xdb
Class RealInputStream

    java.lang.Object
      |
      +--java.io.InputStream
            |
            +--oracle.xdb.RealInputStream

public class RealInputStream
extends java.io.InputStream

Field Summary
`static int` | `KGHSSTREAM`
`static int` | `OCISTREAM`

Constructor Summary
`RealInputStream(long c_errhp, long c_state)`
`RealInputStream(long c_errhp, long c_state, int m_type, long m_gp)`

Method Summary
`void` | `close()` Function to close the RealInputStream
`boolean` | `markSupported()` Function to check if "mark" and "reset" are supported
`int` | `read()` Function to read the next byte of data
`int` | `read(byte[] b)` Function to read upto b.length bytes of data into a byte array
`int` | `read(byte[] b, int off, int len)` Function to read upto "len" bytes of data into a byte array

Methods inherited from class java.io.InputStream
`available, mark, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OCISTREAM

    public static final int OCISTREAM

  See Also:
    Constant Field Values

### KGHSSTREAM

    public static final int KGHSSTREAM

  See Also:
    Constant Field Values

Constructor Detail

### RealInputStream

    public RealInputStream(long c_errhp,
                           long c_state)

### RealInputStream

    public RealInputStream(long c_errhp,
                           long c_state,
                           int m_type,
                           long m_gp)

Method Detail

### read

    public int read(byte[] b)

  Function to read upto b.length bytes of data into a byte array
  Overrides:
    `read` in class `java.io.InputStream`
  Parameters:
    `b` - The byte array to read into
  Returns:
    The total number of bytes read into the buffer (-1) if the end of the stream is reached

### read

    public int read()

  Function to read the next byte of data
  Specified by:
    `read` in class `java.io.InputStream`
  Returns:
    The next byte of data (-1) if the end of the stream is reached

### markSupported

    public boolean markSupported()

  Function to check if "mark" and "reset" are supported
  Overrides:
    `markSupported` in class `java.io.InputStream`
  Returns:
    FALSE indicating that these operations are not supported

### read

    public int read(byte[] b,
                    int off,
                    int len)

  Function to read upto "len" bytes of data into a byte array
  Overrides:
    `read` in class `java.io.InputStream`
  Parameters:
    `b` - The byte array to read into
    `off` - Start offset of the data
    `len` - The maximum number of bytes to read
  Returns:
    The total number of bytes read into the buffer (-1) if the end of the stream is reached

### close

    public void close()

  Function to close the RealInputStream
  Overrides:
    `close` in class `java.io.InputStream`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.